Uploaded image for project: 'MyFaces Trinidad'
  1. MyFaces Trinidad
  2. TRINIDAD-2205

Update mavin-faces-plugin to accept JSF 2.1 spec

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 2.0.8-plugins
    • Fix Version/s: 2.0.8-plugins
    • Component/s: Build, Plugins
    • Labels:
      None

      Description

      JsfVersion.java doesn't have enum property and associated accessors for JSF_21.
      GenerateFacesConfigMojo.java needs to handle 2.1 by loading new XSL for 2.1
      Need a new XSL for 2.1 which extends the 2.0 XSL, but sets new version and XSD URI for JSF 2.1

        Attachments

        1. JarResourceResolver.java
          1 kB
          Jeremy C. Hull
        2. jsfSpec21.diff
          13 kB
          Jeremy C. Hull
        3. jsfSpec21.diff
          13 kB
          Jeremy C. Hull
        4. transform21.xsl
          5 kB
          Jeremy C. Hull

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              jchull Jeremy C. Hull
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Time Tracking

                Estimated:
                Original Estimate - 24h
                24h
                Remaining:
                Remaining Estimate - 24h
                24h
                Logged:
                Time Spent - Not Specified
                Not Specified